Ticket #30245

95Reader/PC-Talker互換APIの実装

Open Date: 2012-12-03 01:11 Last Update: 2014-06-13 21:56

Reporter:
Owner:
(None)
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Rejected
File:
None

Details

スクリーンリーダー対応アプリケーションを開発しておられる日本の開発者のご要望として、以下をご教示・ご提案いただきました。

  • 日本では95Readerが用意していたsoundp.dllの機能が、他社のスクリーンリーダーの外部APIのベースになっている
  • soundp.dllが持つ機能の「すべて」が実装されることが望まれる
  • soundp.dllの完全互換のDLL作成をNVDAが提供できるか?

Ticket History (3/4 Histories)

2012-12-03 01:11 Updated by: nishimoto
  • New Ticket "95Reader互換APIの実装" created
2013-02-15 17:48 Updated by: nishimoto
  • Severity Update from 5 - Medium to 4
  • Priority Update from 5 - Medium to 4
Comment

NVDAの特長であるポータブル環境での実行を考慮すると、本チケットの提案である、Windows システムフォルダに専用のDLLをデプロイして他のアプリケーションからアクセスできるようにする、という作業の優先度は高くないと判断しています。

関連チケット #29342 コントローラークライアントAPIの拡張

2013-10-26 11:21 Updated by: nishimoto
  • Severity Update from 4 to 5 - Medium
  • Priority Update from 4 to 5 - Medium
  • Summary Updated
Comment

スクリーンリーダー対応アプリ作成のために PC-Talker試用記

http://homepage1.nifty.com/nogue/talker10.htm

2014-06-13 21:56 Updated by: nishimoto
  • Ticket Close date is changed to 2014-06-13 21:56
  • Status Update from Open to Closed
  • Resolution Update from None to Rejected
Comment

将来もこの作業に着手することはなく、具体的な機能ごとに個別にチケット化されて検討される見込みなので、 このチケットはクローズします。

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login